org.eclipse.graphiti.mm.algorithms

## Interface AbstractText

All Superinterfaces:
  AbstractStyle, org.eclipse.emf.ecore.EObject, GraphicsAlgorithm, GraphicsAlgorithmContainer, org.eclipse.emf.common.notify.Notifier, PropertyContainer

All Known Subinterfaces:
  MultiText, Text

All Known Implementing Classes:
  AbstractTextImpl, MultiTextImpl, TextImpl

    public interface AbstractText
    extends GraphicsAlgorithm

A representation of the model object 'Abstract Text'.

See Also:
  `AlgorithmsPackage.getAbstractText()`

### Method Summary

All Methods Instance Methods Abstract Methods Deprecated Methods
`java.lang.Integer` `getAngle()` Deprecated. This attribute exists because of compatibility (after removing old diagrams would not be readable any more). It is replaced by the new attribute rotation.
`Font` `getFont()` Returns the value of the 'Font' reference.
`Orientation` `getHorizontalAlignment()` Returns the value of the 'Horizontal Alignment' attribute.
`java.lang.Double` `getRotation()` Returns the value of the 'Rotation' attribute.
`org.eclipse.emf.common.util.EList<TextStyleRegion>` `getStyleRegions()` Returns the value of the 'Style Regions' containment reference list.
`java.lang.String` `getValue()` Returns the value of the 'Value' attribute.
`Orientation` `getVerticalAlignment()` Returns the value of the 'Vertical Alignment' attribute.
`void` `setAngle(java.lang.Integer value)` Deprecated. This attribute exists because of compatibility (after removing old diagrams would not be readable any more). It is replaced by the new attribute rotation.
`void` `setFont(Font value)` Sets the value of the '`Font`' reference.
`void` `setHorizontalAlignment(Orientation value)` Sets the value of the '`Horizontal Alignment`' attribute.
`void` `setRotation(java.lang.Double value)` Sets the value of the '`Rotation`' attribute.
`void` `setValue(java.lang.String value)` Sets the value of the '`Value`' attribute.
`void` `setVerticalAlignment(Orientation value)` Sets the value of the '`Vertical Alignment`' attribute.

### Methods inherited from interface org.eclipse.graphiti.mm.algorithms.GraphicsAlgorithm

`getGraphicsAlgorithmChildren, getHeight, getParentGraphicsAlgorithm, getPictogramElement, getStyle, getWidth, getX, getY, setHeight, setParentGraphicsAlgorithm, setPictogramElement, setStyle, setWidth, setX, setY`

### Methods inherited from interface org.eclipse.graphiti.mm.PropertyContainer

`getProperties`

### Methods inherited from interface org.eclipse.emf.ecore.EObject

`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

`eAdapters, eDeliver, eNotify, eSetDeliver`

### Methods inherited from interface org.eclipse.graphiti.mm.algorithms.styles.AbstractStyle

`getBackground, getFilled, getForeground, getLineStyle, getLineVisible, getLineWidth, getRenderingStyle, getTransparency, isSetFilled, isSetLineVisible, setBackground, setFilled, setForeground, setLineStyle, setLineVisible, setLineWidth, setRenderingStyle, setTransparency, unsetFilled, unsetLineVisible`

### Method Detail

#### getFont

    Font getFont()

Returns the value of the 'Font' reference.

If the meaning of the 'Font' containment reference isn't clear, there really should be more of a description here...

Returns:
  the value of the 'Font' reference.
See Also:
  `setFont(Font)`, `AlgorithmsPackage.getAbstractText_Font()`

#### setFont

    void setFont(Font value)

Sets the value of the '`Font`' reference.

Parameters:
  `value` - the new value of the 'Font' reference.
See Also:
  `getFont()`

#### getHorizontalAlignment

    Orientation getHorizontalAlignment()

Returns the value of the 'Horizontal Alignment' attribute. The default value is `"ALIGNMENT_LEFT"`. The literals are from the enumeration `Orientation`.

If the meaning of the 'Horizontal Alignment' attribute isn't clear, there really should be more of a description here...

Returns:
  the value of the 'Horizontal Alignment' attribute.
See Also:
  `Orientation`, `setHorizontalAlignment(Orientation)`, `AlgorithmsPackage.getAbstractText_HorizontalAlignment()`

#### setHorizontalAlignment

    void setHorizontalAlignment(Orientation value)

Sets the value of the '`Horizontal Alignment`' attribute.

Parameters:
  `value` - the new value of the 'Horizontal Alignment' attribute.
See Also:
  `Orientation`, `getHorizontalAlignment()`

#### getVerticalAlignment

    Orientation getVerticalAlignment()

Returns the value of the 'Vertical Alignment' attribute. The default value is `"ALIGNMENT_CENTER"`. The literals are from the enumeration `Orientation`.

If the meaning of the 'Vertical Alignment' attribute isn't clear, there really should be more of a description here...

Returns:
  the value of the 'Vertical Alignment' attribute.
See Also:
  `Orientation`, `setVerticalAlignment(Orientation)`, `AlgorithmsPackage.getAbstractText_VerticalAlignment()`

#### setVerticalAlignment

    void setVerticalAlignment(Orientation value)

Sets the value of the '`Vertical Alignment`' attribute.

Parameters:
  `value` - the new value of the 'Vertical Alignment' attribute.
See Also:
  `Orientation`, `getVerticalAlignment()`

#### getAngle

    java.lang.Integer getAngle()

Deprecated. This attribute exists because of compatibility (after removing old diagrams would not be readable any more). It is replaced by the new attribute rotation.
Returns the value of the 'Angle' attribute. The default value is `"0"`.

If the meaning of the 'Angle' attribute isn't clear, there really should be more of a description here...

Returns:
  the value of the 'Angle' attribute.
See Also:
  ``, `setAngle(Integer)`, `AlgorithmsPackage.getAbstractText_Angle()`

#### setAngle

    void setAngle(java.lang.Integer value)

Deprecated. This attribute exists because of compatibility (after removing old diagrams would not be readable any more). It is replaced by the new attribute rotation.
Sets the value of the '`Angle`' attribute.

Parameters:
  `value` - the new value of the 'Angle' attribute.
See Also:
  ``, `getAngle()`

#### getValue

    java.lang.String getValue()

Returns the value of the 'Value' attribute.

If the meaning of the 'Value' attribute isn't clear, there really should be more of a description here...

Returns:
  the value of the 'Value' attribute.
See Also:
  `setValue(String)`, `AlgorithmsPackage.getAbstractText_Value()`

#### setValue

    void setValue(java.lang.String value)

Sets the value of the '`Value`' attribute.

Parameters:
  `value` - the new value of the 'Value' attribute.
See Also:
  `getValue()`

#### getStyleRegions

    org.eclipse.emf.common.util.EList<TextStyleRegion> getStyleRegions()

Returns the value of the 'Style Regions' containment reference list. The list contents are of type `TextStyleRegion`.

If the meaning of the 'Style Regions' containment reference list isn't clear, there really should be more of a description here...

Returns:
  the value of the 'Style Regions' containment reference list.
Since:
  0.10
See Also:
  `AlgorithmsPackage.getAbstractText_StyleRegions()`

#### getRotation

    java.lang.Double getRotation()

Returns the value of the 'Rotation' attribute. The default value is `"0"`.

If the meaning of the 'Rotation' attribute isn't clear, there really should be more of a description here...

Returns:
  the value of the 'Rotation' attribute.
Since:
  0.11
See Also:
  `setRotation(Double)`, `AlgorithmsPackage.getAbstractText_Rotation()`

#### setRotation

    void setRotation(java.lang.Double value)

Sets the value of the '`Rotation`' attribute.

Parameters:
  `value` - the new value of the 'Rotation' attribute.
Since:
  0.11
See Also:
  `getRotation()`